<?php 
if(strlen(session_id()) < 1)
session_start();
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once('../modelos/Inventario.php');

$inventario=new Inventario();

$idsalida=isset($_POST["idsalida"])? limpiarCadena($_POST["idsalida"]):"";
$idtecnico=isset($_POST["idtecnico"])? limpiarCadena($_POST["idtecnico"]):"";
$idusuario=$_SESSION["idusuario"];
$idalmacen=$_SESSION["idalmacen"];
$fecha_hora=isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";

switch ($_GET["op"])
{
    case 'guardaryeditar':
      if(empty($idsalida))
      {
        $rspta=$inventario->insertar($idtecnico,$idusuario,$fecha_hora,$idalmacen,$_POST["idarticulo"],$_POST["codigo"],$_POST["marca"],$_POST["cantidad"],$_POST["mac"],$_POST["serie"],$_POST["unidadmedida"],$_POST["precio_compra"],$_POST["nrofactura"],$_POST["idprovedor"],$_POST["garantia"],$_POST["estadomaterial"],$_POST["precio_venta"]);
        echo $rspta ? "Salida Registrado" : "Salida no se pudo registrar";
      }
      else {
          //$rspta=$inventario->editar($idingreso,$idproveedor,$tipo_comprobante,$serie_comprobante,$numero_comprobante,$fecha_hora);
          //echo $rspta ? "Compra Actualizada" : "Compra no se pudo actualizar";
      }
    break;

    case 'mostrardetalle':
        $idingreso = isset($_GET['id']) ? intval($_GET['id']) : 0;
        $rspta = $inventario->mostrardetalle($idingreso);
        echo json_encode($rspta);
    break;

    case 'mostrardetallesalida':
      $idsalida = isset($_GET['id']) ? intval($_GET['id']) : 0;
      $rspta = $inventario->mostrardetallesalida($idsalida);
      echo json_encode($rspta);
  break;

    case 'eliminar':
      $rspta=$inventario->eliminar($idinventario);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'listarinventario':
      $rspta=$inventario->listarinventario();
      //Vamos a declarar un array
      $data=Array();
      while($reg=$rspta->fetch_object())
      {
        $link='../../views/inventarioingreso/excelingreso.php?id=';
        $data[]=array(
          "0"=>$reg->fecha_hora,
          "1"=>$reg->proveedor,
          "2"=>$reg->tipo_comprobante,
          "3"=>$reg->serie_comprobante,
          "4"=>$reg->total_compra,
          "5"=>$reg->usuario,
          "6"=>'<button class="btn btn-danger  btn-xs btn-flat open-AddImgDialog" onclick="mostrardetalle(' . $reg->idingreso . ')" data-toggle="modal" data-target="#modalProducto" ><i class="fa fa-folder-open"></i></button>'.
            ' <a target="_blank" href='.$link.$reg->idingreso.'> <button class="btn btn-success btn-xs btn-flat"><i class="fa fa-file-excel"></i></button> </a>'
        );
      }
      $results= array(
        "sEcho"=>1, //Informacion para el datatable
        "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);

    break;

    case 'listarsalida':
      $rspta=$inventario->listarsalida();
      //Vamos a declarar un array
      $data=Array();
      while($reg=$rspta->fetch_object())
      {
        $url="../../reportes/reportesalida.php?id=";
        $url_ticket="ticket_salida.php?id=";
       // $newDate = date_format(date_create_from_format('Y-m-d', $reg->fechasalida), 'd-m-Y');
        $estado='<button class="btn btn-danger btn-xs btn-flat">Salida</button>'; 
      
        $data[]=array(
          "0"=>$reg->fechasalida,
          "1"=>$reg->responsable,
          "2"=>$reg->usuario,
          "3"=>$reg->ano.'-00'.$reg->idsalida,
          "4"=>$estado,
          "5"=>'<button class="btn btn-warning  btn-xs btn-flat open-AddImgDialog" onclick="mostrardetallesalida(' . $reg->idsalida . ')" data-toggle="modal" data-target="#modalProductoSalida" ><i class="fa fa-folder-open"></i></button>'.
            ' <a target="_blank" href='.$url.$reg->idsalida.'> <button class="btn btn-danger btn-xs btn-flat"><i class="fa fa-file-excel"></i></button> </a>'.
             ' <a target="_blank" href='.$url_ticket.$reg->idsalida.'> <button class="btn btn-primary btn-xs btn-flat"><i class="fa fa-file"></i></button> </a>'
        );
      }
      $results= array(
        "sEcho"=>1, //Informacion para el datatable
        "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);

    break;

    case 'listarproducto':
      $rspta=$inventario->listarproducto($idalmacen);
      $data= Array();
      while ($reg=$rspta->fetch_object()){
      if($reg->estadomaterial==1){

        $mat='<button class="btn btn-success btn-xs btn-flat">Nuevo</button>';
        }else if($reg->estadomaterial==2){
        $mat='<button class="btn btn-danger btn-xs btn-flat">Usado</button>';
        }else if($reg->estadomaterial==3){
        $mat='<button class="btn btn-primary btn-xs btn-flat">Reparado</button>';
        }else if($reg->estadomaterial==4){
        $mat='<button class="btn btn-danger btn-xs btn-flat">Malogrado</button>';
        }
        $st='<button class="btn btn-success btn-xs btn-flat">'.$reg->stock.'</button>';
        $data[]=array(
          "0"=>$reg->nombre,
          "1"=>$reg->codigo,
          "2"=>$reg->marca,        
          "3"=>$reg->mac,
          "4"=>$reg->serie,
          "5"=>number_format($reg->precio_venta,2),
          "6"=>$mat,
          "7"=>$st,
          "8"=>'<button class="btn btn-warning btn-xs btn-flat" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\',\''.$reg->marca.'\',\''.$reg->mac.'\',\''.$reg->serie.'\','.$reg->precio_compra.',\''.$reg->codigo.'\',\''.$reg->unidad_medida.'\',\''.$reg->nrofactura.'\','.$reg->idprovedor.',\''.$reg->garantia.'\',\''.$reg->estadomaterial.'\','.$reg->precio_venta.','.$reg->stock.', this)" data-id="'.$reg->idarticulo.'"><span class="fa fa-plus"></span></button>'
          
          // "6"=>"<img src='../files/articulos/".$reg->imagen."' height='50px' width='50px' >"
          );
      }
      $results = array(
        "sEcho"=>1, //Información para el datatables
        "iTotalRecords"=>count($data), //enviamos el total registros al datatable
        "iTotalDisplayRecords"=>count($data), //enviamos el total registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);
     break;

    

    
}
?>